Interface ILayerVersion

All Superinterfaces:
software.constructs.IConstruct, software.constructs.IDependable, IResource, software.amazon.jsii.JsiiSerializable
All Known Subinterfaces:
ILayerVersion.Jsii$Default
All Known Implementing Classes:
AwsCliLayer, ILayerVersion.Jsii$Proxy, KubectlLayer, LayerVersion, NodeProxyAgentLayer, PythonLayerVersion

@Generated(value="jsii-pacmak/1.101.0 (build b95fe5d)", date="2024-07-12T19:34:04.159Z") @Stability(Stable) public interface ILayerVersion extends software.amazon.jsii.JsiiSerializable, IResource
  • Method Details

    • getLayerVersionArn

      @Stability(Stable) @NotNull String getLayerVersionArn()
      The ARN of the Lambda Layer version that this Layer defines.
    • getCompatibleRuntimes

      @Stability(Stable) @Nullable default List<Runtime> getCompatibleRuntimes()
      The runtimes compatible with this Layer.

      Default: Runtime.All

    • addPermission

      @Stability(Stable) void addPermission(@NotNull String id, @NotNull LayerVersionPermission permission)
      Add permission for this layer version to specific entities.

      Usage within the same account where the layer is defined is always allowed and does not require calling this method. Note that the principal that creates the Lambda function using the layer (for example, a CloudFormation changeset execution role) also needs to have the lambda:GetLayerVersion permission on the layer version.

      Parameters:
      id - the ID of the grant in the construct tree. This parameter is required.
      permission - the identification of the grantee. This parameter is required.